var fs = require('fs')
// 获取文件流
var file = fs.openFile('./test.md','ra')

// 设置文件编码
file.setCodec('UTF-8')

// 获取文件编码
print(file.codec())

// 设置自动检测Unicode
file.setAutoDetectUnicode(true)

// 是否自动检测Unicode
print(file.isAutoDetectUnicode())

// 设置是否添加编码BOM
file.setGenerateByteOrderMark(true);

// 检测   !!文档错误
print(file.isGenerateByteOrderMark())

// 设置是否每次在写入文件时自动刷新缓存至文件
file.setAutoFlush(false);

// 检测 
print(file.isAutoFlush())

// 是否读取到文件结尾
print(file.atEnd())

// 将文件读取位置重置
file.reset();

// 刷新缓存至文件
file.flush();

// 寻找文件读取位置
print(file.seek(0))

// 获取当前文件读取位置
print(file.pos())

// 设置自动忽略空格
file.skipWhiteSpace()

// 读取一行
print(file.readLine());

// 读取全部文件内容
print(file.readAll());

// 读取指定大小文本块
print(file.read(1));

// 写入文件  如果打开了自动缓存 aotoflush就不需要close
file.write("hahaha")
file.close()