module.exports = {
    A : {
        dbKey: "order_no",  // 数据库的字段名
        attr: false,  // 是否是新增的额外字段 默认是false
        format: false,  // 获取数据的格式 默认是false
    },
    B : {
        dbKey: "confirmation", 
        attr: false,  
        format: false,
    },
    C : {
        dbKey: "plant", 
        attr: false,  
        format: false,
    },
    D : {
        dbKey: "material", 
        attr: false,  
        format: false,
    },
    E : {
        dbKey: "material_description", 
        attr: false,  
        format: false,
    },
    F : {
        dbKey: "posting_date", 
        attr: false,  
        format: formatDate,
    },
    G : {
        dbKey: "confirmation_entry_time", 
        attr: false,  
        format: formatTime,
    },
    H : {
        dbKey: "activity", 
        attr: false,  
        format: false,
    },
    I : {
        dbKey: "work_center", 
        attr: false,  
        format: false,
    },
    J : {
        dbKey: "confirmed_yield", 
        attr: false,  
        format: false,
    },
    K : {
        dbKey: "base_unit", 
        attr: false,  
        format: false,
    },
    L : {
        dbKey: "confirmed_scrap", 
        attr: false,  
        format: false,
    },
    M : {
        dbKey: "reason_for_variance", 
        attr: false,  
        format: false,
    },
    N : {
        dbKey: "rework", 
        attr: false,  
        format: false,
    },
    O : {
        dbKey: "confirmation_text", 
        attr: false,  
        format: false,
    },
    P : {
        dbKey: "entered_by_user", 
        attr: false,  
        format: false,
    },
    Q : {
        dbKey: "ind_final_confirmation", 
        attr: false,  
        format: false,
    },
    R : {
        dbKey: "milestone_confirmed", 
        attr: false,  
        format: false,
    },
    S : {
        dbKey: "ind_delete_doc", 
        attr: false,  
        format: false,
    },
    T : {
        dbKey: "hh", 
        attr: true,  
        format: false,
    }
}


function formatDate (numb) {
    var time = new Date((numb - 1) * 24 * 3600000 + 1)
    time.setYear(time.getFullYear() - 70)
    var year = time.getFullYear() + ''
    var month = time.getMonth() + 1 + ''
    var date = time.getDate() + ''
    return year + "-" + (month<10?"0"+month:month) + "-" + (date<10?"0"+date:date)
}

function formatTime(numb) {
    var hourTmp = numb * 24;
    var hour = Math.floor(hourTmp);
    var minuteTmp = hourTmp - hour;
    var minute = Math.floor(minuteTmp * 60);
    var secondTmp = (minuteTmp*60) - minute;
    var second = Math.round(secondTmp*60);
    if(second >= 60){
        second = 0
        minute += 1
    }
    if(minute >= 60) {
        minute = minute - 60
        hour += 1
    }
    if(hour >= 24) {
        hour = 0
    }
    return (hour<10? "0" + hour : hour) + ":" + (minute<10? "0" + minute : minute) + ":" + (second<10? "0" + second : second) 
}