
// lodash

var _ = require('lodash')

console.log(_.now())

//判断字符串是否以xx开头  & _.endWith 
print(_.startsWith("hahah","ha"))

// 截取指定长度后加。。。
print(_.truncate("adadada,sdadergegegwewrwerwr",{
    length: 10,
    separator: /,? +/
}))

// 模板字符串
var name = "haha"
print(_.template('你好！${name}')())

// obj合并 es6的object.assign  后来的会覆盖前面的
var obj1 = {name:"小白",age:18}
var obj2 = {age:10,color:"red"}
console.log(_.assign(obj1,obj2))


// _.findKey
var obj3 = {
    joy: {age: 18},
    tom: {age: 7},
    kk: {age: 25},
    alll: {age: 38}
}
var res = _.findKey(obj3, function(n){
    return n.age < 20
})
console.log(res)

// mapKeys and mapvalue
var obj4 = {
    'a1': '1',
    'a2': '2',
    'a3': '3'
}
var obj5 = _.mapKeys(obj4,function(v,k){
    console.log(v, k)
    return 'b' + k.slice(1)
})
console.log(obj5)
var obj6 = _.mapValues(obj4,function(v){
    console.log(v)
    return v*10
})
console.log(obj6)

// 反转映射
var obj7 = {
    v1: "as",
    v2: "gwew",
    v3: {asd:'asda'},
    v14: "als"
}
var obj8 = _.invert(obj7)
console.log(obj8);


// uniq去重
var arr1 = [21,12,32,3465,456,3,1,1,1,1]
console.log(_.uniq(arr1))
